#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    ll x1,y1,x2,y2;
    cin >> x1 >> y1;
    cin >> x2 >> y2;

    if(x1 == x2){
        cout << 2 << endl;
    }
    else if(y1 == y2){
        cout << 2 << endl;
    }
    else{
        if(abs(x1-x2) != abs(y1-y2)){
            cout << 0 << endl;
        }
        else{
            cout << 1 << endl;
        }
    }
}